SubtypeResolver (Jackson JSON Processor)
Date: 2013-07-14

org.codehaus.jackson.map.jsontype

## Class SubtypeResolver

- java.lang.Object
- - org.codehaus.jackson.map.jsontype.SubtypeResolver

- Direct Known Subclasses:
    StdSubtypeResolver

      public abstract class SubtypeResolver
      extends Object

  Helper object used for handling registration on resolving of supertypes to subtypes.
  Since:
    1.5

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SubtypeResolver()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract Collection<NamedType>` | `collectAndResolveSubtypes(AnnotatedClass basetype, MapperConfig<?> config, AnnotationIntrospector ai)` Method for finding out all reachable subtypes for given type.
    `abstract Collection<NamedType>` | `collectAndResolveSubtypes(AnnotatedMember property, MapperConfig<?> config, AnnotationIntrospector ai)` Method for finding out all reachable subtypes for a property specified by given element (method or field)
    `abstract void` | `registerSubtypes(Class<?>... classes)`
    `abstract void` | `registerSubtypes(NamedType... types)` Method for registering specified subtypes (possibly including type names); for type entries without name, non-qualified class name as used as name (unless overridden by annotation).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SubtypeResolver

          public SubtypeResolver()

  - ### Method Detail

    - #### registerSubtypes

          public abstract void registerSubtypes(NamedType... types)

      Method for registering specified subtypes (possibly including type names); for type entries without name, non-qualified class name as used as name (unless overridden by annotation).

    - #### registerSubtypes

          public abstract void registerSubtypes(Class<?>... classes)

    - #### collectAndResolveSubtypes

          public abstract Collection<NamedType> collectAndResolveSubtypes(AnnotatedMember property,
                                                        MapperConfig<?> config,
                                                        AnnotationIntrospector ai)

      Method for finding out all reachable subtypes for a property specified by given element (method or field)

    - #### collectAndResolveSubtypes

          public abstract Collection<NamedType> collectAndResolveSubtypes(AnnotatedClass basetype,
                                                        MapperConfig<?> config,
                                                        AnnotationIntrospector ai)

      Method for finding out all reachable subtypes for given type.